Loading...
Searching...
No Matches
pdftron::PDF::TransPDFOptions Class Reference

`#include <TransPDFOptions.h>`

Inheritance diagram for pdftron::PDF::TransPDFOptions:

## Public Member Functions
| TransPDFOptions ()
| ~TransPDFOptions ()
UInt32 | GetBatchSize ()
TransPDFOptions & | SetBatchSize (UInt32 value)
UString | GetPages ()
TransPDFOptions & | SetPages (const UString &value)
bool | GetResizeSingleLine ()
TransPDFOptions & | SetResizeSingleLine (bool value)
UString | GetSourceLanguage ()
TransPDFOptions & | SetSourceLanguage (const UString &value)
Public Member Functions inherited from pdftron::PDF::OptionsBase
| OptionsBase ()

## Additional Inherited Members
Static Public Member Functions inherited from pdftron::PDF::OptionsBase
static SDF::Obj | GetArray (SDF::Obj dict, const char *key)
static void | PutNumber (SDF::Obj dict, const char *key, double num)
static void | PutBool (SDF::Obj dict, const char *key, bool val)
static void | PutText (SDF::Obj dict, const char *key, const UString &text)
static void | PutRect (SDF::Obj dict, const char *key, const Rect &rect)
static void | PushBackNumber (SDF::Obj dict, const char *key, double num)
static void | PushBackBool (SDF::Obj dict, const char *key, bool val)
static void | PushBackText (SDF::Obj dict, const char *key, const UString &text)
static void | PushBackRect (SDF::Obj dict, const char *key, const Rect &rect)
static Rect | RectFromArray (SDF::Obj nums)
static void | InsertRectCollection (SDF::Obj dict, const char *key, const RectCollection &rects, int index)
static Rect | RectFromArray (void *)
static double | ColorPtToNumber (const ColorPt &cp)
static ColorPt | ColorPtFromNumber (double dnum)

## Detailed Description

Definition at line 9 of file TransPDFOptions.h.

## Constructor & Destructor Documentation

## ◆ TransPDFOptions()

pdftron::PDF::TransPDFOptions::TransPDFOptions | ( |  | ) |

## ◆ ~TransPDFOptions()

pdftron::PDF::TransPDFOptions::~TransPDFOptions | ( |  | ) |

## Member Function Documentation

## ◆ GetBatchSize()

UInt32 pdftron::PDF::TransPDFOptions::GetBatchSize | ( |  | ) |

Gets the value BatchSize from the options object. The number of pages to process before saving an intermediate PDF to free resources. A greater number of pages will increase memory usage, and a smaller number will increase processing time. Default is 20.

Returns
  The current value for BatchSize.

## ◆ GetPages()

UString pdftron::PDF::TransPDFOptions::GetPages | ( |  | ) |

Gets the value Pages from the options object. Specifies a set of pages to process, such as "1-5", or "1-3,5,7-10". Open ended ranges are supported, e.g., "3-". By default all pages are processed. The first page is page number 1. This option only affects XLIFF extraction.

Returns
  The current value for Pages.

## ◆ GetResizeSingleLine()

bool pdftron::PDF::TransPDFOptions::GetResizeSingleLine | ( |  | ) |

Gets the value ResizeSingleLine from the options object. If true, single line text boxes will grow and shrink to accommodate translated text.

Returns
  The current value for ResizeSingleLine.

## ◆ GetSourceLanguage()

UString pdftron::PDF::TransPDFOptions::GetSourceLanguage | ( |  | ) |

Gets the value SourceLanguage from the options object. A language code as specified in [RFC 4646] that identifies the language of the source PDF. This will be set as the 'source-language' attribute of the file tag in the extracted XLIFF. Default is 'en' (English).

Returns
  The current value for SourceLanguage.

## ◆ SetBatchSize()

TransPDFOptions & pdftron::PDF::TransPDFOptions::SetBatchSize | ( | UInt32 | value | ) |

Sets the value for BatchSize in the options object. The number of pages to process before saving an intermediate PDF to free resources. A greater number of pages will increase memory usage, and a smaller number will increase processing time. Default is 20.

Parameters

  value | The new value for BatchSize.

Returns
  This object, for call chaining.

## ◆ SetPages()

TransPDFOptions & pdftron::PDF::TransPDFOptions::SetPages | ( | const UString & | value | ) |

Sets the value for Pages in the options object. Specifies a set of pages to process, such as "1-5", or "1-3,5,7-10". Open ended ranges are supported, e.g., "3-". By default all pages are processed. The first page is page number 1. This option only affects XLIFF extraction.

Parameters

  value | The new value for Pages.

Returns
  This object, for call chaining.

## ◆ SetResizeSingleLine()

TransPDFOptions & pdftron::PDF::TransPDFOptions::SetResizeSingleLine | ( | bool | value | ) |

Sets the value for ResizeSingleLine in the options object. If true, single line text boxes will grow and shrink to accommodate translated text.

Parameters

  value | The new value for ResizeSingleLine.

Returns
  This object, for call chaining.

## ◆ SetSourceLanguage()

TransPDFOptions & pdftron::PDF::TransPDFOptions::SetSourceLanguage | ( | const UString & | value | ) |

Sets the value for SourceLanguage in the options object. A language code as specified in [RFC 4646] that identifies the language of the source PDF. This will be set as the 'source-language' attribute of the file tag in the extracted XLIFF. Default is 'en' (English).

Parameters

  value | The new value for SourceLanguage.

Returns
  This object, for call chaining.

The documentation for this class was generated from the following file:

- PDF/TransPDFOptions.h